Uploaded image for project: 'Bigtop'
  1. Bigtop
  2. BIGTOP-2305

Hbase shell not working in ppc64le due to missing jffi native library.

Attach filesAttach ScreenshotAdd voteVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Patch Available
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: 1.0.0, 1.1.0
    • Fix Version/s: backlog
    • Component/s: build, hbase, ppc64le
    • Labels:
      None
    • Environment:

      ppc64le

      Description

      Hbase shell depends on jffi native library ( libjffi-1.0.so ) which is part of jruby-complete-1.6.8.jar file. Currently the jar file hosted on central maven repository don't have the native library for ppc64le. Below is the error message when tried to invoke the hbase shell.

      hduser@sovmp132:/usr/lib/hbase/bin$ ./hbase shell
      2016-02-02 11:42:10,111 INFO [main] Configuration.deprecation: hadoop.native.lib is deprecated. Instead, use io.native.lib.available
      java.lang.RuntimeException: java.lang.UnsatisfiedLinkError: Could not locate stub library in jar file. Tried [jni/ppc64-Linux/libjffi-1.0.so, /jni/ppc64-Linux/libjffi-1.0.so]
      at com.kenai.jffi.Foreign$InValidInstanceHolder.getForeign(Foreign.java:90)
      at com.kenai.jffi.Foreign.getInstance(Foreign.java:95)
      at com.kenai.jffi.Library.openLibrary(Library.java:151)
      at com.kenai.jffi.Library.getCachedInstance(Library.java:125)
      at com.kenai.jaffl.provider.jffi.Library.loadNativeLibraries(Library.java:66)
      at com.kenai.jaffl.provider.jffi.Library.getNativeLibraries(Library.java:56)

        Attachments

          Activity

            People

            • Assignee:
              asanjar Amir F Sanjar
              Reporter:
              Ayappan Ayappan

              Dates

              • Created:
                Updated:

                Issue deployment